com.strongloop.android.remoting.adapters

## Interface Adapter.BinaryCallback

Enclosing class:
  Adapter

    public static interface Adapter.BinaryCallback

A callback receiving the HTTP response body in the binary form.

### Method Summary

Methods
`void` `onError(java.lang.Throwable t)` The method invoked when an error occurs.
`void` `onSuccess(byte[] body, java.lang.String contentType)` The method invoked when the call completes successfully.

### Method Detail

#### onSuccess

    void onSuccess(byte[] body,
                 java.lang.String contentType)

The method invoked when the call completes successfully.

Parameters:
  `body` - The response body.
  `contentType` - The value of "Content-Type" response header.

#### onError

    void onError(java.lang.Throwable t)

The method invoked when an error occurs.

Parameters:
  `t` - The Throwable.